[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TMemoryStream.LoadFromFile

Loads the contents of a file into memory.

## Declaration

Source position: classesh.inc line 1069

`public procedure TMemoryStream.LoadFromFile(`
`const FileName: string`
`);`

## Description

LoadFromFile loads the contents of the file with name FileName into the memory stream. The current contents of the memory stream is replaced by the contents of the file. Memory is allocated as needed.

The LoadFromFile method simply creates a filestream and then calls the TMemoryStream.LoadFromStream method.

## See also

TMemoryStream.LoadFromStream |  | Loads the contents of a stream into memory.